Index: lib/Regexp/Common/zip.pm
===================================================================
--- lib/Regexp/Common/zip.pm	(revision 49977)
+++ lib/Regexp/Common/zip.pm	(working copy)
@@ -16,6 +16,7 @@
 
 my %code = (
     Australia         =>  [qw /AUS? AU AUS/],
+    Austria           =>  [qw /AT   AT A/],
     Belgium           =>  [qw /BE?  BE B/],
     Denmark           =>  [qw /DK   DK DK/],
     France            =>  [qw /FR?  FR F/],
@@ -63,6 +64,13 @@
                     # 909 and 0909 are valid as well - but no other postal
                     # codes starting with 9 or 09.
 
+    Austria     =>  "(?k:[1-9][0-9]{3})",
+                    # Four digits, no leading zero,
+                    # first is distribution area ("Leitzone"),
+                    # second is routing area ("Leitgebiet"),
+                    # third is route ("Leitstrecke"),
+                    # fourth is post office number ("Leitort").
+
     Belgium     =>  "(?k:(?k:[1-9])(?k:[0-9]{3}))",
                     # Postal codes of the form: 'DDDD', with the first
                     # digit representing the province; the others
@@ -335,6 +343,14 @@
 
 =back
 
+=head2 C<< $RE{zip}{Austria} >>
+
+Returns a pattern that recognizes Austrian postal codes. Austrian postal
+codes consist of 4 digits. The first indicates the distribution area
+("Leitzone"), starting with 1. The second indicates the routing area
+("Leitgebiet"), the third the route ("Leitstrecke"), and the fourth the
+post office number ("Leitort").
+
 =head2 C<$RE{zip}{Belgium}>
 
 Returns a pattern than recognizes Belgian postal codes. Belgian postal
